Subject: Re: What's cooking in git.git (Jul 2025, #08; Mon, 28)

From: Junio C Hamano <[email-masked]>
Date: Tue, 29 Jul 2025 08:30:51 -0700

Toon Claes <[email-masked]> writes:

> Junio C Hamano <[email-masked]> writes:
>
>> * ps/object-file-wo-the-repository (2025-07-16) 17 commits
>>  - object-file: get rid of `the_repository` in index-related functions
>>  - object-file: get rid of `the_repository` in `force_object_loose()`
>>  - object-file: get rid of `the_repository` in `read_loose_object()`
>>  - object-file: get rid of `the_repository` in loose object iterators
>>  - object-file: remove declaration for `for_each_file_in_obj_subdir()`
>>  - object-file: inline `for_each_loose_file_in_objdir_buf()`
>>  - object-file: get rid of `the_repository` when writing objects
>>  - odb: introduce `odb_write_object()`
>>  - loose: write loose objects map via their source
>>  - object-file: get rid of `the_repository` in `finalize_object_file()`
>>  - object-file: get rid of `the_repository` in `loose_object_info()`
>>  - object-file: get rid of `the_repository` when freshening objects
>>  - object-file: inline `check_and_freshen()` functions
>>  - object-file: get rid of `the_repository` in `has_loose_object()`
>>  - object-file: stop using `the_hash_algo`
>>  - object-file: fix -Wsign-compare warnings
>>  - Merge branch 'ps/object-store' into ps/object-file-wo-the-repository
>>
>>  Reduce implicit assumption and dependence on the_repository in the
>>  object-file subsystem.
>>
>>  Comments?
>>  source: <[email-masked]>
>
> I did do a thorough review on v1 in the past and did a little less
> thorough review on v2, but the range-diff is tiny anyway.
>
> Version two removes the controversial commits around global config. With
> this, this patch series is not able to drop USE_THE_REPOSITORY_VARIABLE
> from the object-file.c yet. Nevertheless, the whole series is still
> worthwhile to me.

Thanks, I do recall reading your earlier reviews and they looked
sensible.